pidgin-otr up to 4.0.1 Authenticate Buddy gtk-dialog.c create_smp_dialog use after free

CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
9.6$0-$5k0.00

A vulnerability was found in pidgin-otr up to 4.0.1 (Messaging Software). It has been rated as very critical. Affected by this issue is the function create_smp_dialog of the file gtk-dialog.c of the component Authenticate Buddy Handler. The manipulation with an unknown input leads to a use after free vulnerability. Using CWE to declare the problem leads to CWE-416. Referencing memory after it has been freed can cause a program to crash, use unexpected values, or execute code. Impacted is confidentiality, integrity, and availability. CVE summarizes:

Use-after-free vulnerability in the create_smp_dialog function in gtk-dialog.c in the Off-the-Record Messaging (OTR) pidgin-otr plugin before 4.0.2 for Pidgin allows remote attackers to execute arbitrary code via vectors related to the "Authenticate buddy" menu item.

The weakness was published 04/12/2016 (Website). The advisory is available at lists.opensuse.org. This vulnerability is handled as CVE-2015-8833 since 03/09/2016. The attack may be launched remotely. No form of authentication is required for exploitation. Technical details are known, but there is no available exploit. The structure of the vulnerability defines a possible price range of USD $0-$5k at the moment (estimation calculated on 07/13/2022).

The vulnerability scanner Nessus provides a plugin with the ID 89853 (FreeBSD : pidgin-otr -- use after free (77e0b631-e6cf-11e5-85be-14dae9d210b8)), which helps to determine the existence of the flaw in a target environment. It is assigned to the family FreeBSD Local Security Checks and running in the context l.

Upgrading to version 4.0.2 eliminates this vulnerability. A possible mitigation has been published before and not just after the disclosure of the vulnerability.

The vulnerability is also documented in the databases at Tenable (89853), SecurityFocus (BID 84295†) and Vulnerability Center (SBV-58237†). Similar entries are available at VDB-100387, VDB-107570, VDB-112928 and VDB-114829.

Productinfo

Type

Name

Version

CPE 2.3info

CPE 2.2info

CVSSv4info

VulDB CVSS-B Score: 🔍
VulDB CVSS-BT Score: 🔍
VulDB Vector: 🔍
VulDB Reliability: 🔍

CVSSv3info

VulDB Meta Base Score: 9.8
VulDB Meta Temp Score: 9.6

VulDB Base Score: 9.8
VulDB Temp Score: 9.4
VulDB Vector: 🔍
VulDB Reliability: 🔍

NVD Base Score: 9.8
NVD Vector: 🔍

CVSSv2info

AVACAuCIA
💳💳💳💳💳💳
💳💳💳💳💳💳
💳💳💳💳💳💳
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Reliability: 🔍

NVD Base Score: 🔍

Exploitinginfo

Class: Use after free
CWE: CWE-416 / CWE-119
CAPEC: 🔍
ATT&CK: 🔍

Local: No
Remote: Yes

Availability: 🔍
Status: Not defined

EPSS Score: 🔍
EPSS Percentile: 🔍

Price Prediction: 🔍
Current Price Estimation: 🔍

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Nessus ID: 89853
Nessus Name: FreeBSD : pidgin-otr -- use after free (77e0b631-e6cf-11e5-85be-14dae9d210b8)
Nessus File: 🔍
Nessus Risk: 🔍
Nessus Family: 🔍
Nessus Context: 🔍

OpenVAS ID: 850584
OpenVAS Name: SuSE Update for pidgin-otr SUSE-SU-2016:0912-1 (pidgin-otr)
OpenVAS File: 🔍
OpenVAS Family: 🔍

Threat Intelligenceinfo

Interest: 🔍
Active Actors: 🔍
Active APT Groups: 🔍

Countermeasuresinfo

Recommended: Upgrade
Status: 🔍

0-Day Time: 🔍

Upgrade: pidgin-otr 4.0.2

Timelineinfo

03/09/2016 🔍
03/09/2016 +0 days 🔍
03/10/2016 +1 days 🔍
03/10/2016 +0 days 🔍
03/11/2016 +1 days 🔍
04/11/2016 +30 days 🔍
04/12/2016 +1 days 🔍
04/12/2016 +0 days 🔍
04/17/2016 +5 days 🔍
07/13/2022 +2278 days 🔍

Sourcesinfo

Advisory: 128
Status: Not defined
Confirmation: 🔍

CVE: CVE-2015-8833 (🔍)
OVAL: 🔍

SecurityFocus: 84295 - pidgin-otr CVE-2015-8833 Use After Free Denial of Service Vulnerability
Vulnerability Center: 58237 - OTR pidgin-otr Plugin before 4.0.2 for Pidgin Remote Code Execution via Vectors Related to the \, High

See also: 🔍

Entryinfo

Created: 04/12/2016 11:03 AM
Updated: 07/13/2022 02:40 PM
Changes: 04/12/2016 11:03 AM (70), 02/05/2019 12:19 PM (14), 07/13/2022 02:40 PM (3)
Complete: 🔍
Cache ID: 44:A81:40

Discussion

No comments yet. Languages: en.

Please log in to comment.

Might our Artificial Intelligence support you?

Check our Alexa App!